subversion-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From br...@apache.org
Subject svn commit: r1817724 - in /subversion/site/tools: ./ svndocs-update.sh
Date Sun, 10 Dec 2017 20:06:38 GMT
Author: brane
Date: Sun Dec 10 20:06:38 2017
New Revision: 1817724

URL: http://svn.apache.org/viewvc?rev=1817724&view=rev
Log:
* site/tools/svndocs-update.sh: New script for generating API documentation.

Added:
    subversion/site/tools/
    subversion/site/tools/svndocs-update.sh   (with props)

Added: subversion/site/tools/svndocs-update.sh
URL: http://svn.apache.org/viewvc/subversion/site/tools/svndocs-update.sh?rev=1817724&view=auto
==============================================================================
--- subversion/site/tools/svndocs-update.sh (added)
+++ subversion/site/tools/svndocs-update.sh Sun Dec 10 20:06:38 2017
@@ -0,0 +1,76 @@
+#!/bin/bash
+
+echo $(date -u)
+export PATH=/usr/local/bin:$PATH
+
+variant="$1"
+if [ "x$variant" = "x" ]; then
+    echo "Missing parameter: variant"
+    exit 1
+fi
+
+case "x$variant" in
+    xtrunk)
+        publishdocs=svndocs
+        ;;
+    x1.9.x)
+        publishdocs=svndocs-1.9
+        ;;
+    x1.8.x)
+        publishdocs=svndocs-1.8
+        ;;
+    *)
+        echo "Bad variant: $variant"
+        exit 1
+        ;;
+esac
+
+docdir=$HOME/svndocs-$variant
+docsrc=$docdir/working
+docbuild=$docdir/build
+docversion=$docdir/last-version
+docpublish=$HOME/public_html/$publishdocs
+
+set -e
+set -x
+
+svn update $docsrc --non-interactive >/dev/null
+
+if [ -f $docversion ]
+then
+    oldver=$(cat $docversion)
+else
+   oldver=
+fi
+newver=$(svn info $docsrc | grep ^Revision:)
+
+if [ "x$newver" = "x$oldver" ]
+then
+    exit 0
+fi
+
+cd $docsrc
+./autogen.sh >/dev/null
+rm -fr $docbuild
+mkdir $docbuild
+cd $docbuild
+$docsrc/configure --prefix=$docbuild/inst --with-lz4=internal --with-utf8proc=internal >/dev/null
+
+make doc-api > $docdir/doc-api.log 2>&1
+# FIXME: JavHL do build is currently 'orribly broken.
+set +e
+make doc-javahl > $docdir/doc-javahl.log 2>&1
+set -e
+
+mv $docbuild/doc/doxygen/html $docbuild/doc/capi
+mv $docbuild/doc/javadoc $docbuild/doc/javahl
+cp $docdir/doc-api.log $docbuild/doc/capi.build.log
+cp $docdir/doc-javahl.log $docbuild/doc/javahl.build.log
+rmdir $docbuild/doc/doxygen
+
+if [ -d $docpublish ]; then
+    mv $docpublish $docpublish.$$
+fi
+mv $docbuild/doc $docpublish
+rm -fr $docpublish.$$
+echo $newver > $docversion

Propchange: subversion/site/tools/svndocs-update.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message